use std::fs;
use std::path::PathBuf;
use clap::Parser;

#[macro_use]
extern crate derive_builder;

mod ast;
mod params;

use params::Params;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
struct Args {
    config: PathBuf,
}

fn main() {
    let args = Args::parse();
    let params_toml = Params::parse(&args.config);

    println!("{}", params_toml.global_flow.gen_decl);
}
